<html>
<head>
<title>OGRE: Ogre::VertexBufferBinding Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexBufferBinding.html">VertexBufferBinding</a></div>
<h1>Ogre::VertexBufferBinding Class Reference</h1><!-- doxytag: class="Ogre::VertexBufferBinding" -->Records the state of all the vertex buffer bindings required to provide a vertex declaration with the input data it needs for the vertex elements.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1VertexBufferBinding-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; unsigned short,<br>
 <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Defines the vertex buffer bindings used as source for vertex declarations.  <a href="#01d32b8a3d649db0e78db170ed228937"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#e409d65d1d1e9fc54e46e0357f392db2">BindingIndexMap</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#bf27d19152cc8eabf43d559d33742442">VertexBufferBinding</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor, should not be called direct, use <a class="el" href="classOgre_1_1HardwareBufferManager.html#4d907dd6ed467886ca7df6a188b73d4d" title="Creates a new VertexBufferBinding.">HardwareBufferManager::createVertexBufferBinding</a>.  <a href="#bf27d19152cc8eabf43d559d33742442"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#eea2d6b99bdaea10e82e594a471cd4e3">~VertexBufferBinding</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#c4068061bab0de3b0e8fdd36591594aa">setBinding</a> (unsigned short index, const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;buffer)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a binding, associating a vertex buffer with a given index.  <a href="#c4068061bab0de3b0e8fdd36591594aa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#8c9f657fd16f98aa29136fb57e9ba5e0">unsetBinding</a> (unsigned short index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes an existing binding.  <a href="#8c9f657fd16f98aa29136fb57e9ba5e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#571caed33f07bebb5751bb91ad024471">unsetAllBindings</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes all the bindings.  <a href="#571caed33f07bebb5751bb91ad024471"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#8cab869691a1ec085f89240ff5163387">getBindings</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a read-only version of the buffer bindings.  <a href="#8cab869691a1ec085f89240ff5163387"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#4a0455887d3197b99aa145aad017b75f">getBuffer</a> (unsigned short index) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the buffer bound to the given source index.  <a href="#4a0455887d3197b99aa145aad017b75f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#88903825ee357e210910b283d0b57855">isBufferBound</a> (unsigned short index) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether a buffer is bound to the given source index.  <a href="#88903825ee357e210910b283d0b57855"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#f570a9fe722354b2dc83b1f529019499">getBufferCount</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#3976e5c953660dc5ac4ec9e2a962779e">getNextIndex</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the highest index which has already been set, plus 1.  <a href="#3976e5c953660dc5ac4ec9e2a962779e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#8c2257c8498e4f9c040f087367a622db">getLastBoundIndex</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the last bound index.  <a href="#8c2257c8498e4f9c040f087367a622db"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#f257e3a01b599a59abefd2638e3acd67">hasGaps</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check whether any gaps in the bindings.  <a href="#f257e3a01b599a59abefd2638e3acd67"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#e77153376c1ebd6a5f5ee2262c83daa1">closeGaps</a> (<a class="el" href="classOgre_1_1VertexBufferBinding.html#e409d65d1d1e9fc54e46e0357f392db2">BindingIndexMap</a> &amp;bindingIndexMap)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove any gaps in the bindings.  <a href="#e77153376c1ebd6a5f5ee2262c83daa1"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#98d222f14c8b30e9a1ad5c46ad2ca7ef">mBindingMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html#27f847c54c66dd68bea6fbb203c22bd1">mHighIndex</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Records the state of all the vertex buffer bindings required to provide a vertex declaration with the input data it needs for the vertex elements. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we have this binding list rather than just have <a class="el" href="classOgre_1_1VertexElement.html" title="This class declares the usage of a single vertex buffer as a component of a complete...">VertexElement</a> referring to the vertex buffers direct? Well, in the underlying APIs, binding the vertex buffers to an index (or 'stream') is the way that vertex data is linked, so this structure better reflects the realities of that. In addition, by separating the vertex declaration from the list of vertex buffer bindings, it becomes possible to reuse bindings between declarations and vice versa, giving opportunities to reduce the state changes required to perform rendering. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Like the other classes in this functional area, these binding maps should be created and destroyed using the <a class="el" href="classOgre_1_1HardwareBufferManager.html" title="Abstract singleton class for managing hardware buffers, a concrete instance of this...">HardwareBufferManager</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00466">466</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="01d32b8a3d649db0e78db170ed228937"></a><!-- doxytag: member="Ogre::VertexBufferBinding::VertexBufferBindingMap" ref="01d32b8a3d649db0e78db170ed228937" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;unsigned short, <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&gt; <a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">Ogre::VertexBufferBinding::VertexBufferBindingMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Defines the vertex buffer bindings used as source for vertex declarations. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00470">470</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e409d65d1d1e9fc54e46e0357f392db2"></a><!-- doxytag: member="Ogre::VertexBufferBinding::BindingIndexMap" ref="e409d65d1d1e9fc54e46e0357f392db2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&gt; <a class="el" href="classOgre_1_1VertexBufferBinding.html#e409d65d1d1e9fc54e46e0357f392db2">Ogre::VertexBufferBinding::BindingIndexMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00514">514</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="bf27d19152cc8eabf43d559d33742442"></a><!-- doxytag: member="Ogre::VertexBufferBinding::VertexBufferBinding" ref="bf27d19152cc8eabf43d559d33742442" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexBufferBinding::VertexBufferBinding           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor, should not be called direct, use <a class="el" href="classOgre_1_1HardwareBufferManager.html#4d907dd6ed467886ca7df6a188b73d4d" title="Creates a new VertexBufferBinding.">HardwareBufferManager::createVertexBufferBinding</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="eea2d6b99bdaea10e82e594a471cd4e3"></a><!-- doxytag: member="Ogre::VertexBufferBinding::~VertexBufferBinding" ref="eea2d6b99bdaea10e82e594a471cd4e3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::VertexBufferBinding::~VertexBufferBinding           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c4068061bab0de3b0e8fdd36591594aa"></a><!-- doxytag: member="Ogre::VertexBufferBinding::setBinding" ref="c4068061bab0de3b0e8fdd36591594aa" args="(unsigned short index, const HardwareVertexBufferSharedPtr &amp;buffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::VertexBufferBinding::setBinding           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>buffer</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set a binding, associating a vertex buffer with a given index. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If the index is already associated with a vertex buffer, the association will be replaced. This may cause the old buffer to be destroyed if nothing else is referring to it. You should assign bindings from 0 and not leave gaps, although you can bind them in any order. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8c9f657fd16f98aa29136fb57e9ba5e0"></a><!-- doxytag: member="Ogre::VertexBufferBinding::unsetBinding" ref="8c9f657fd16f98aa29136fb57e9ba5e0" args="(unsigned short index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::VertexBufferBinding::unsetBinding           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes an existing binding. 
<p>

</div>
</div><p>
<a class="anchor" name="571caed33f07bebb5751bb91ad024471"></a><!-- doxytag: member="Ogre::VertexBufferBinding::unsetAllBindings" ref="571caed33f07bebb5751bb91ad024471" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::VertexBufferBinding::unsetAllBindings           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes all the bindings. 
<p>

</div>
</div><p>
<a class="anchor" name="8cab869691a1ec085f89240ff5163387"></a><!-- doxytag: member="Ogre::VertexBufferBinding::getBindings" ref="8cab869691a1ec085f89240ff5163387" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a>&amp; Ogre::VertexBufferBinding::getBindings           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a read-only version of the buffer bindings. 
<p>

</div>
</div><p>
<a class="anchor" name="4a0455887d3197b99aa145aad017b75f"></a><!-- doxytag: member="Ogre::VertexBufferBinding::getBuffer" ref="4a0455887d3197b99aa145aad017b75f" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&amp; Ogre::VertexBufferBinding::getBuffer           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the buffer bound to the given source index. 
<p>

</div>
</div><p>
<a class="anchor" name="88903825ee357e210910b283d0b57855"></a><!-- doxytag: member="Ogre::VertexBufferBinding::isBufferBound" ref="88903825ee357e210910b283d0b57855" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::VertexBufferBinding::isBufferBound           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether a buffer is bound to the given source index. 
<p>

</div>
</div><p>
<a class="anchor" name="f570a9fe722354b2dc83b1f529019499"></a><!-- doxytag: member="Ogre::VertexBufferBinding::getBufferCount" ref="f570a9fe722354b2dc83b1f529019499" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::VertexBufferBinding::getBufferCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00501">501</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3976e5c953660dc5ac4ec9e2a962779e"></a><!-- doxytag: member="Ogre::VertexBufferBinding::getNextIndex" ref="3976e5c953660dc5ac4ec9e2a962779e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::VertexBufferBinding::getNextIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the highest index which has already been set, plus 1. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is to assist in binding the vertex buffers such that there are not gaps in the list. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00508">508</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c2257c8498e4f9c040f087367a622db"></a><!-- doxytag: member="Ogre::VertexBufferBinding::getLastBoundIndex" ref="8c2257c8498e4f9c040f087367a622db" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::VertexBufferBinding::getLastBoundIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the last bound index. 
<p>

</div>
</div><p>
<a class="anchor" name="f257e3a01b599a59abefd2638e3acd67"></a><!-- doxytag: member="Ogre::VertexBufferBinding::hasGaps" ref="f257e3a01b599a59abefd2638e3acd67" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::VertexBufferBinding::hasGaps           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Check whether any gaps in the bindings. 
<p>

</div>
</div><p>
<a class="anchor" name="e77153376c1ebd6a5f5ee2262c83daa1"></a><!-- doxytag: member="Ogre::VertexBufferBinding::closeGaps" ref="e77153376c1ebd6a5f5ee2262c83daa1" args="(BindingIndexMap &amp;bindingIndexMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::VertexBufferBinding::closeGaps           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexBufferBinding.html#e409d65d1d1e9fc54e46e0357f392db2">BindingIndexMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>bindingIndexMap</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove any gaps in the bindings. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is useful if you've removed vertex buffer from this vertex buffer bindings and want to remove any gaps in the bindings. Note, however, that if this bindings is already being used with a <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a>, you will need to alter that too. This method is mainly useful when reorganising buffers manually. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>bindingIndexMap</em>&nbsp;</td><td>To be retrieve the binding index map that used to translation old index to new index; will be cleared by this method before fill-in. </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="98d222f14c8b30e9a1ad5c46ad2ca7ef"></a><!-- doxytag: member="Ogre::VertexBufferBinding::mBindingMap" ref="98d222f14c8b30e9a1ad5c46ad2ca7ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a> <a class="el" href="classOgre_1_1VertexBufferBinding.html#98d222f14c8b30e9a1ad5c46ad2ca7ef">Ogre::VertexBufferBinding::mBindingMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00472">472</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="27f847c54c66dd68bea6fbb203c22bd1"></a><!-- doxytag: member="Ogre::VertexBufferBinding::mHighIndex" ref="27f847c54c66dd68bea6fbb203c22bd1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexBufferBinding.html#27f847c54c66dd68bea6fbb203c22bd1">Ogre::VertexBufferBinding::mHighIndex</a><code> [mutable, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00473">473</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:59 2008
</p>
</body>
</html>
